Skip to content
Get started

Retrieves a list of reason codes, optionally filtered by search text.

GET/api/v2/public/reasoncodes

Retrieves a list of reason codes, optionally filtered by search text.

Query ParametersExpand Collapse
code: optional string

Filter by reason code.

code_description: optional string

Filter by reason code description.

function_key: optional string

Filter by function key.

is_gain: optional boolean

Filter by gain-type reason codes.

is_loss: optional boolean

Filter by loss-type reason codes.

is_store: optional boolean

Filter by store-level reason codes.

ReturnsExpand Collapse
code: optional number
formatint32
code_description: optional string
description: optional string
function_key: optional string
is_comment_mandatory: optional boolean
is_gain: optional boolean
is_image_mandatory: optional boolean
is_loss: optional boolean
is_order_number_mandatory: optional boolean
is_picking_list: optional boolean
is_rollback_allowed: optional boolean
is_sales_order_discsount: optional boolean
is_store: optional boolean
reason_code_type: optional number
formatint32
review_status: optional number
formatint32
store_type: optional string

Retrieves a list of reason codes, optionally filtered by search text.

curl https://api.colleqtive.net/api/v2/public/reasoncodes \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
[
  {
    "code": 0,
    "code_description": "code_description",
    "description": "description",
    "function_key": "function_key",
    "is_comment_mandatory": true,
    "is_gain": true,
    "is_image_mandatory": true,
    "is_loss": true,
    "is_order_number_mandatory": true,
    "is_picking_list": true,
    "is_rollback_allowed": true,
    "is_sales_order_discsount": true,
    "is_store": true,
    "reason_code_type": 0,
    "review_status": 0,
    "store_type": "store_type"
  }
]
Returns Examples
[
  {
    "code": 0,
    "code_description": "code_description",
    "description": "description",
    "function_key": "function_key",
    "is_comment_mandatory": true,
    "is_gain": true,
    "is_image_mandatory": true,
    "is_loss": true,
    "is_order_number_mandatory": true,
    "is_picking_list": true,
    "is_rollback_allowed": true,
    "is_sales_order_discsount": true,
    "is_store": true,
    "reason_code_type": 0,
    "review_status": 0,
    "store_type": "store_type"
  }
]